org.apache.felix.ipojo.manipulator.metadata.annotation.visitor

## Class HandlerDeclarationVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.HandlerDeclarationVisitor

    public class HandlerDeclarationVisitor
    extends org.objectweb.asm.AnnotationVisitor

Parse the @HandlerDeclaration annotation.

Author:
  Felix Project Team
See Also:
  `HandlerDeclaration`

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`HandlerDeclarationVisitor(ComponentWorkbench workbench, DocumentBuilder builder, Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visit(String name, Object value)` Parses the value attribute.
`void` `visitEnd()` End of the visit.

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandlerDeclarationVisitor

    public HandlerDeclarationVisitor(ComponentWorkbench workbench,
                                     DocumentBuilder builder,
                                     Reporter reporter)

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Parses the value attribute.

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - 'value'
  `value` - the value
See Also:
  `AnnotationVisitor.visit(java.lang.String, java.lang.Object)`

#### visitEnd

    public void visitEnd()

End of the visit. Builds the XML document.

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`
See Also:
  `AnnotationVisitor.visitEnd()`